org.apache.ivy.util

## Class ContextualSAXHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.ivy.util.ContextualSAXHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class ContextualSAXHandler
    extends org.xml.sax.helpers.DefaultHandler

### Constructor Summary

Constructors
Constructor and Description
`ContextualSAXHandler()`

### Method Summary

Methods
`void` `characters(char[] ch, int start, int length)`
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`protected java.lang.String` `getContext()`
`protected java.lang.String` `getText()`
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextualSAXHandler

    public ContextualSAXHandler()

### Method Detail

#### characters

    public void characters(char[] ch,
                  int start,
                  int length)
                    throws org.xml.sax.SAXException

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### startElement

    public void startElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qName,
                    org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endElement

    public void endElement(java.lang.String uri,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### getContext

    protected java.lang.String getContext()

#### getText

    protected java.lang.String getText()